Bug 312541 - will never find driver for spare raid device
will never find driver for spare raid device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 15:59 EDT by Curtis Doty
Modified: 2009-01-08 23:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:55:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2007-09-29 15:59:59 EDT
The bug is this line:

    devs=$(awk "/^$1[	 ]*:/ { print
gensub(\"[[0-9]*]\",\"\",\"g\",gensub(\"^md.*raid[0-9]*\",\"\",\"1\")) }"
/proc/mdstat)

If you have this raid setup:

md1 : active raid1 sdc2[2](S) sda2[0] sdb2[1]
      10490368 blocks [2/2] [UU]

It looks like mkinitrd may fail to find the driver for sdc as demonstrated by
this debugging output:

# bash -x /sbin/mkinitrd -v -f initrd-missing-driver-for-raid-spare.cpio.gz
2.6.23-0.214.rc8.git2.fc8PAE 2>&1 |grep -C1 sdc
++ awk '/^md1[	 ]*:/ { print
gensub("[[0-9]*]","","g",gensub("^md.*raid[0-9]*","","1")) }' /proc/mdstat
+ devs=' sdc(S) sda sdb'
+ for level in '$levels'
--
+ start=1
+ findstoragedriver 'sdc(S)' sda sdb
+ for device in '$@'
+ case " $handleddevices " in
+ handleddevices=' md1 sdc(S)'
+ [[ sdc(S) =~ md[0-9]+ ]]
+ vecho 'Looking for driver for device sdc(S)'
+ NONL=
+ '[' 'Looking for driver for device sdc(S)' == -n ']'
+ '[' -n -v ']'
+ echo 'Looking for driver for device sdc(S)'
Looking for driver for device sdc(S)
+ [[ sdc(S) =~ ^mapper/ ]]
++ findone -type d /sys/block -name 'sdc(S)'
++ echo nash-find -type d /sys/block -name 'sdc(S)'
++ /sbin/nash --force --quiet

Of course that's an oddball corner case where the spare device would have to be
using a totally different driver than all the other active devices. But I've
done far more wicked things with remote block devices etc. :-/
Comment 1 Bug Zapper 2008-11-26 02:53:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-08 23:55:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.